/*
 * @(#)MouseTrap.java    0.1 97/10/13
 *
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 */




import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;


public class MouseTrap extends Applet implements 
    MouseListener, MouseMotionListener, ComponentListener , WindowListener {

// to produce key [ 0 ... 1 ] and corresponding keyValue [ x y z, ..., x y z ]
// values 

    Vector stp, stt; 
    long startTime, endTime;
    float scalex = .1f;
    float scaley = .1f;
    static MouseTrap ref;

    public void init() {
	setSize(100,100);
	show();
	addMouseListener(this);
	addMouseMotionListener(this);
	clear();
    }

    void clear() {
	startTime = endTime = 0;
	stt = new Vector(255);
	stp = new Vector(255);
    }

    void addSample(MouseEvent mev) {
	stp.addElement( mev.getPoint() );
	stt.addElement( new Long(mev.getWhen()) );
    }

    public void mousePressed(MouseEvent mev) {

	startTime = mev.getWhen();
	addSample(mev);
    }

    public void mouseReleased(MouseEvent mev) {
	
	endTime = mev.getWhen();
	addSample(mev);
	evaluate();
	clear();
    }

    public void mouseClicked(MouseEvent mev) {;}
    public void mouseEntered(MouseEvent mev) {;}
    public void mouseExited(MouseEvent mev) {;}
    public void mouseMoved(MouseEvent mev) {;}
    public void componentMoved(ComponentEvent cev) {;}
    public void componentShown(ComponentEvent cev) {;}
    public void componentHidden(ComponentEvent cev) {;}
    public void windowDeactivated(WindowEvent wev) {;}
    public void windowDeiconified(WindowEvent wev) {;}
    public void windowIconified(WindowEvent wev) {;}
    public void windowOpened(WindowEvent wev) {;}
    public void windowActivated(WindowEvent wev) {;}
    public void windowClosed(WindowEvent wev) {;}

    public void windowClosing(WindowEvent wev) {
	System.exit(0);
    }

    public void mouseDragged(MouseEvent mev) {
	addSample(mev);	
    }

    public void componentResized(ComponentEvent cev) {

	// should only come from frame resize
	int w = getSize().width;
	int h = getSize().height;
	scalex = 1.0f/(float)w;
	scaley = 1.0f/(float)h;
	getRef().setSize(w,h);

    }

    void evaluate() { 
	float val;
	long delta = endTime - startTime;
	Enumeration pts = stp.elements();
	Enumeration times = stt.elements();

	if ( stp.size() != stt.size() ) System.exit(1);

	System.out.println( " key [ ");
	while ( times.hasMoreElements() ) { 
	    long n = ((Long)times.nextElement()).longValue() - startTime;
	    System.out.println( ((float)n)/((float)delta) );
	}
	System.out.println( " ] " );

	System.out.println( " keyValue [ " );
	while ( pts.hasMoreElements() ) {
	    Point p = (Point)pts.nextElement();
	    if ( pts.hasMoreElements() )
	        System.out.println( ((float)p.x)*scalex + " " +
		     ((float)p.y)*scaley + " 0.0," );
	    else // no trailing comma   
		System.out.println( ((float)p.x)*scalex + " " + 
		     ((float)p.y)*scaley + " 0.0" );

	}	

	System.out.println( " ] " );
	    
    }

    public static void main(String[] args) {

	Frame f = new Frame("MouseTrap");
	f.setSize(100,100);
	f.show();
	MouseTrap mtrap = new MouseTrap(f);
	mtrap.init();
	f.addComponentListener(mtrap);
	f.addWindowListener(mtrap);
	setRef(mtrap);
    }

    public MouseTrap(Frame f) {
	f.add(this);
    }

    static void setRef(MouseTrap mt) {
	ref = mt;
    }

    MouseTrap getRef() {
	return ref;
    }

} 

