/*
 *      @(#)Browser.java 1.14 98/08/05 14:31:21
 *
 * Copyright (c) 1996-1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Sun grants you ("Licensee") a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Sun.
 *
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
 * IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE
 * LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING
 * OR DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS
 * LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
 * INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
 * OR INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 *
 * This software is not designed or intended for use in on-line control of
 * aircraft, air traffic, aircraft navigation or aircraft communications; or in
 * the design, construction, operation or maintenance of any nuclear
 * facility. Licensee represents and warrants that it will not use or
 * redistribute the Software for such purposes.
 *
 * @Author: Rick Goldberg
 * @Author: Doug Gehringer
 *
 */


package vrml;

import vrml.node.Node;
import javax.media.j3d.Canvas3D;

public class Browser {

    com.sun.j3d.loaders.vrml97.impl.Browser impl;

    public Browser(com.sun.j3d.loaders.vrml97.impl.Browser b) {
	impl = b;
    }

    public Browser() {
	impl = new com.sun.j3d.loaders.vrml97.impl.Browser();
    }

    public Browser(Canvas3D canvas) {
	impl = new com.sun.j3d.loaders.vrml97.impl.Browser(canvas);
    }

    public String getDescription(){
	return impl.getDescription();
    }

    public String getName(){
	return impl.getName();
    }

    public String getVersion(){
	return impl.getVersion();
    }

    public float getCurrentSpeed(){
	return impl.getCurrentSpeed();
    }

    public float getCurrentFrameRate(){
	return impl.getCurrentFrameRate();
    }

    public String getWorldURL(){
	return impl.getWorldURL();
    }

    public java.net.URL getURL(){
	return impl.getURL();
    }

    public void replaceWorld(BaseNode[] nodes){
	com.sun.j3d.loaders.vrml97.impl.BaseNode[] implNodes = 
   	    new com.sun.j3d.loaders.vrml97.impl.BaseNode[nodes.length];
	for (int i = 0; i < nodes.length; i++) {
	    implNodes[i] = nodes[i].getImpl();
	}
	impl.replaceWorld(implNodes);
    }
	    
    public BaseNode[] createVrmlFromString(String vrmlSyntax) 
	    throws InvalidVRMLSyntaxException {
	com.sun.j3d.loaders.vrml97.impl.BaseNode[] implNodes = 
	    impl.createVrmlFromString(vrmlSyntax);
	BaseNode[] nodes = new BaseNode[implNodes.length];
	for (int i = 0; i < nodes.length; i++) {
	    nodes[i] = implNodes[i].wrap();
	}
	return nodes;
    }
	    
    public void createVrmlFromURL(String[] url, BaseNode node, String event) 
	    throws InvalidVRMLSyntaxException {
	impl.createVrmlFromURL(url, node.getImpl(), event);
    }

    public void addRoute(BaseNode fromNode, String fromEventOut,
	    BaseNode toNode, String toEventIn) {
	impl.addRoute(fromNode.getImpl(), fromEventOut, toNode.getImpl(),
		toEventIn);
    }

    public void deleteRoute(BaseNode fromNode, String fromEventOut,
	    BaseNode toNode, String toEventIn){
	impl.deleteRoute(fromNode.getImpl(), fromEventOut, toNode.getImpl(), 
		toEventIn);
    }

    public void loadURL(String[] url, String[] parameter)
	    throws InvalidVRMLSyntaxException, java.net.MalformedURLException ,
		java.io.IOException {
	impl.loadURL(url, parameter);
    }

    public void loadStringAsVrml(String sourceVrml) {
	impl.loadStringAsVrml(sourceVrml);
    }

    public void setDescription(String description) {
	impl.setDescription(description);
    }

    public void setViewpoint(int vi) {
	impl.setViewpoint(vi);
    }

    public void resetViewpoint() {
	impl.resetViewpoint();
    }

    public String[] getViewpointDescriptions() {
	return impl.getViewpointDescriptions();
    }

    public void outputTiming() {
	impl.outputTiming();
    }

    public void shutDown() {
	impl.shutDown();
    }

    public void startRender() {
	impl.startRender();
    }

    public void stopRender() {
	impl.stopRender();
    }

    public Canvas3D getCanvas3D() {
	return impl.getCanvas3D();
    }

    public void setAWTContainer(java.awt.Container container) {
	impl.setAWTContainer(container);
    }


}
