/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.eai.field;

/**
 * VRML eventOut class for SFBool.
 *
 * @version 1.0 30 April 1998
 */
public abstract class EventOutSFBool extends EventOut
{
  /**
   * Construct an instance of this class. Calls the superclass constructor
   * with the field type set to SFBool.
   */
  protected EventOutSFBool()
  {
    super(SFBool);
  }

  /**
   * Get the value in the given eventOut.
   * <P>
   * @return The boolean value of the eventOut
   */
  public abstract boolean getValue();
}









