/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.eai.field;

/**
 * VRML eventOut class for SFFloat.
 * 
 * @version 1.0 30 April 1998
 */
public abstract class EventOutSFFloat extends EventOut
{
  /**
   * Construct an instance of this class. Calls the superclass constructor
   * with the field type set to SFFloat.
   */
  protected EventOutSFFloat()
  {
    super(SFFloat);
  }
  
  /**
   * Ge the float value in the given eventOut.
   *
   * @return The float value to of the eventOut
   */
  public abstract float getValue();
}









