/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external;

import vrml.external.field.EventIn;
import vrml.external.field.EventOut;
import vrml.external.exception.InvalidEventInException;
import vrml.external.exception.InvalidEventOutException;

/**
 * The representation of the VRML node as a java class. This is the basic node
 * class that all nodes represent.
 *
 * @deprecated Use the class vrml.eai.Node
 * @version 1.0
 */
public class Node
{
    /**
     * Get the type of this node. The string returned should be the name of
     * the VRML node or the name of the proto instance this node represents.
     *
     * @deprecated Use vrml.eai.Node.getType()
     * @return The type of this node.
     */
    public String getType()
    {
      return null;
    }

    /**
     * Get an eventIn for this node.
     * <P>
     * If the basic field required is an exposedField you can use either the
     * standard name (such as <I>translation</I>) or you can use the <I>set_</I>
     * modifier (such as <I>set_translation</I>).
     *
     * @deprecated Use vrml.eai.Node.getEventIn()
     * @param name The name of the eventIn that is required
     * @return A reference to the eventIn requested.
     * @exception InvalidEventInException The named eventIn does not exist for
     *   this node.
     */
    public EventIn getEventIn(String name)
        throws InvalidEventInException
    {
      return null;
    }

    /**
     * Get an eventOut for this node.
     * <P>
     * If the basic field required is an exposedField you can use either the
     * standard name (such as <I>translation</I>) or you can use the
     * <I>_changed</I> modifier (such as <I>translation_changed</I>).
     *
     * @deprecated Use vrml.eai.Node.getEventOut()
     * @param name The name of the eventIn that is required
     * @return A reference to the eventIn requested.
     * @exception InvalidEventInException The named eventIn does not exist for
     *   this node.
     */
    public EventOut getEventOut(String name)
        throws InvalidEventOutException
    {
      return null;
    }
}





