/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external.exception;

/**
 * The exception that is thrown when a the string passed to
 * createVrmlFromString does not contain legal VRML.
 *
 * @deprecated
 * @version 1.0
 */
public class InvalidVrmlException extends RuntimeException
{
    /**
     * Construct a basic instance of this exception with no error message
     */
    public InvalidVrmlException()
    {
        super();
    }

    /**
     * Constructs a new exception with a particular message
     *
     * @param msg The message to use
     */
    public InvalidVrmlException(String msg)
    {
        super(msg);
    }
}
