/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external.field;

import vrml.external.Node;

/**
 * VRML eventIn class for MFFloat.
 *
 * @deprecated
 * @version 1.0
 */
public class EventInMFFloat extends EventIn
{
  /**
   * Set the value of the eventIn to the new array of float values. This array
   * is copied internally so that the parameter array can be reused without
   * effecting the valid values of the eventIn.
   *
   * @param value The array of values to be used.
   */
  public void setValue(float[] value)
  {
  }

  /**
   * Set the value of an individual item in the eventIn's value. This results in
   * a new event being generated that includes all of the array items with the
   * single element set.
   *
   * If the index is out of the bounds of the current array of data values an
   * ArrayIndexOutOfBoundsException will be generated.
   *
   * @param index The position to set the colour value
   * @param value The value to be set
   *
   * @exception ArrayIndexOutOfBoundsException A value did not contain at least
   *    three values for the colour component
   */
  public void set1Value(int index, float value)
    throws ArrayIndexOutOfBoundsException
  {
  }
}









