/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external.field;

import vrml.external.Node;

/**
 * VRML eventIn class for SFString.
 * <P>
 * Strings are represented using standard java.lang.String representations.
 * The implementation of this class will provide any necessary conversions
 * to the UTF8 format required for VRML support.
 *
 * @deprecated
 * @version 1.0
 */
public class EventInSFString extends EventIn
{
  /**
   * Set the string value in the given eventIn.
   * <P>
   * A string is not required to be valid. A null string reference will
   * be considered equivalent to a zero length string resulting in the
   * string being cleared.
   *
   * @param value The string to set.
   */
  public void setValue(String value)
  {
  }
}









