/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external.field;

import vrml.external.Node;

/**
 * VRML eventIn class for SFVec2f.
 *
 * @deprecated
 * @version 1.0
 */
public class EventInSFVec2f extends EventIn
{
  /**
   * Set the vector value in the given eventIn.
   * <P>
   * The value array must contain at least two elements. If the array
   * contains more than 2 values only the first 2 values will be used and
   * the rest ignored.
   * <P>
   * If the array of values does not contain at least 2 elements an
   * ArrayIndexOutOfBoundsException will be generated.
   *
   * @param value The array of vector components where<BR>
   *    value[0] = X<BR>
   *    value[1] = Y<BR>
   *
   * @exception ArrayIndexOutOfBoundsException The value did not contain at least two
   *    values for the vector
   */
  public void setValue(float[] value)
  {
  }
}









