/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external.field;

/**
 * VRML eventOut class for MFRotation.
 * <P>
 * Rotation values are specified according to the VRML IS Specification
 *  Section 5.8 SFRotation and MFRotation.
 *
 * @deprecated
 * @version 1.0
 */
public class EventOutMFRotation extends EventOutMField
{
  /**
   * Get the value of the array of rotations. Output is an array of floats
   * values in order required to specify an SFRotation.
   *
   * @return The array of rotation values where<BR>
   *    value[i][0] = X component [0-1] <BR>
   *    value[i][1] = Y component [0-1] <BR>
   *    value[i][2] = Z component [0-1] <BR>
   *    value[i][3] = Angle of rotation [-PI - PI] (nominally).
   */
  public float[][] getValue()
  {
    return null;
  }

  /**
   * Get a particular rotation in the given eventOut array.
   * <P>
   * If the index is out of the bounds of the current array of data values an
   * ArrayIndexOutOfBoundsException will be generated.
   *
   * @param index The position to get the rotation value
   * @return The array of rotation values where<BR>
   *    value[0] = X component [0-1] <BR>
   *    value[1] = Y component [0-1] <BR>
   *    value[2] = Z component [0-1] <BR>
   *    value[3] = Angle of rotation [-PI - PI] (nominally).
   *
   * @exception ArrayIndexOutOfBoundsException The index was outside the current data
   *    array bounds.
   */
  public float[] get1Value(int index)
  {
    return null;
  }
}









