/******************************************************************************
 *
 *                      VRML Browser basic classes
 *                   For External Authoring Interface
 *
 *                   (C) The VRML Consortium
 *
 *  Written by Justin Couch: justin@vlc.com.au
 *
 *****************************************************************************/

package vrml.external.field;

import vrml.external.Node;

/**
 * VRML eventOut class for MFString.
 * <P>
 * Strings are represented using standard java.lang.String representations.
 * The implementation of this class will provide any necessary conversions
 * to the UTF8 format required for VRML support.
 *
 * @deprecated
 * @version 1.0
 */
public class EventOutMFString extends EventOutMField
{
  /**
   * Get the value of the array of strings. Individual elements in the string
   * array may be null depending on the implementation of the browser and
   * whether it maintains null references
   *
   * @return The array of strings.
   *
   * @see EventInMFString#setValue
   */
  public String[] getValue()
  {
    return null;
  }

  /**
   * Get a particular string value in the given eventOut array.
   * <P>
   * If the index is out of the bounds of the current array of data values an
   * ArrayIndexOutOfBoundsException will be generated. If the array reference
   * was null when set, an empty string will be returned to the caller.
   *
   * @param index The position to get the string value from
   * @return The string value
   *
   * @exception ArrayIndexOutOfBoundsException The index value was out of bounds of
   *     the current array.
   *
   * @see EventInMFString#set1Value
   */
  public String get1Value(int index)
  {
    return null;
  }
}









