/*
 *      @(#)SFColor.java 1.10 98/11/05 20:40:36
 *
 * Copyright (c) 1996-1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Sun grants you ("Licensee") a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Sun.
 *
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
 * IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE
 * LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING
 * OR DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS
 * LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
 * INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
 * OR INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 *
 * This software is not designed or intended for use in on-line control of
 * aircraft, air traffic, aircraft navigation or aircraft communications; or in
 * the design, construction, operation or maintenance of any nuclear
 * facility. Licensee represents and warrants that it will not use or
 * redistribute the Software for such purposes.
 *
 * @Author: Rick Goldberg
 * @Author: Doug Gehringer
 */

package vrml.field;

public class SFColor extends vrml.Field {
    com.sun.j3d.loaders.vrml97.impl.SFColor impl;

    public SFColor(com.sun.j3d.loaders.vrml97.impl.SFColor init) {
	super(init);
	impl = init;
    }

    public SFColor(float red, float green, float blue) {
	super(null);
	impl = new com.sun.j3d.loaders.vrml97.impl.SFColor(red, green, blue);
	implField = impl;
    }

    public SFColor(float[] initColor) {
	super(null);
	impl = new com.sun.j3d.loaders.vrml97.impl.SFColor(initColor);
	implField = impl;
    }

    public void getValue(float colr[]) {
	impl.getValue(colr);
    }

    public float[] getValue() {
	return impl.getValue();
    }
		    
    public void setRed(float red) {
	impl.setRed(red);
    }

    public void setGreen(float green) {
	impl.setGreen(green);
    }

    public void setBlue(float blue) {
	impl.setBlue(blue);
    }

    public float getRed() {
	return impl.getRed();
    }

    public float getGreen() {
	return impl.getGreen();
    }

    public float getBlue() {
	return impl.getBlue();
    }

    public void setValue(float[] colrs) { 
	impl.setValue(colrs);
    }

    public void setValue(float red, float green, float blue) {
	impl.setValue(red, green, blue);
    }

    public void setValue( ConstSFColor constsfcolr ) {
	impl.setValue(constsfcolr.impl);
    }

    public void setValue( SFColor sfcolr ) {
	impl.setValue(sfcolr.impl);
    }

    public Object clone() {
	return new SFColor((com.sun.j3d.loaders.vrml97.impl.SFColor) impl.clone() );
    }
}
